## linkchecker-4.1.tar.gz

=== doc/en/Makefile ===
RESTFILES = $(wildcard *.txt)
HTMLFILES = $(patsubst %.txt, %.html, $(RESTFILES) )
NAVFILES = $(patsubst %.txt, %.nav, $(RESTFILES) )
HTMLDIR := /home/calvin/public_html/linkchecker.sf.net

all: $(HTMLFILES)

.PHONY: clean
clean:
	rm -f $(HTMLFILES) $(NAVFILES)

%.html:	%.txt ../htmlnav.py ../bfknav.py
	../rest2htmlnav --stylesheet-path=lc.css --time $< $@

.PHONY: nav
nav: all
	python2.4 ../bfknav.py

.PHONY: homepage
homepage: nav
	cp *.html *.css *.jpg *.png *.ico $(HTMLDIR)/htdocs

.PHONY: test
test:
	xmllint --valid --noout *.html

=== debian/control ===
Source: linkchecker
Section: web
Priority: optional
Maintainer: Bastian Kleineidam <calvin@debian.org>
Build-Depends: python2.4-dev, python, debhelper (>= 5), gettext, cdbs
Standards-Version: 3.7.2.0

Package: linkchecker
Architecture: any
Depends: python2.4
Suggests: apache | httpd, python2.4-psyco, python2.4-optcomplete, python2.4-profiler, python2.4-geoip
Description: check websites and HTML documents for broken links
 Provides a command line program and web interface to check links
 of websites and HTML documents.
 Features:
  o recursive checking
  o multithreaded
  o output in colored or normal text, HTML, SQL, CSV, XML or a sitemap
    graph in different formats
  o HTTP/1.1, HTTPS, FTP, mailto:, news:, nntp:, Gopher, Telnet and local
    file links support
  o restrict link checking with regular expression filters for URLs
  o proxy support
  o username/password authorization for HTTP, FTP and Telnet
  o robots.txt exclusion protocol support
  o Cookie support
  o i18n support
